Revoke a token
DELETE
Logs the user out. Authenticate with the token itself. The token gets the status inactive.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with your API key or the id of a token as the username and an empty password.
token_id*stringThe id of the token.
The token, now inactive.
application/json- response
id?stringThe token. Send it as the username of HTTP Basic authentication.
created?stringFormat
date-timemerchant_id?stringFormat
uuidaccount_id?stringThe ID of the user.
Format
uuidemail?stringlegal_name?stringexpiration?stringWhen the token expires, unless it's used before.
Format
date-timeexpiration_period?stringHow long the token lasts after its last use, as an ISO 8601 duration.
status?stringValue in
"active""inactive""invalid""expired"permissions?Path permissions, see Permissions.
field_permissions?The field permissions of the user, when it has any.
allowed_project_ids?array<string>The projects the user may read.
trusted_token?stringThe new trusted token, when you sent generate_trusted_token or trusted_token.
curl -X DELETE 'https://api.example.com/v1/tokens/4c0ffee5c0ffee5c0ffee5c0ffee5c0f/' \ --user "$API_KEY:"{ "id": "string", "created": "2019-08-24T14:15:22Z", "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea", "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65", "email": "string", "legal_name": "string", "expiration": "2019-08-24T14:15:22Z", "expiration_period": "string", "status": "active", "permissions": { "property1": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true }, "property2": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true } }, "field_permissions": {}, "allowed_project_ids": [ "string" ], "trusted_token": "string"}